This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1284049 - undefined method `flavors' for #<ManageIQ::Providers::..> when clicked on template name while creating OpenStack catalog item
undefined method `flavors' for #<ManageIQ::Providers::..> when clicked on tem...
Status: CLOSED ERRATA
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Provisioning (Show other bugs)
5.5.0
Unspecified Unspecified
high Severity high
: GA
: 5.5.0
Assigned To: Greg McCullough
Aziza Karol
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-20 11:18 EST by Aziza Karol
Modified: 2015-12-08 08:49 EST (History)
9 users (show)

See Also:
Fixed In Version: 5.5.0.13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-08 08:49:46 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
err (deleted)
2015-11-20 11:18 EST, Aziza Karol
no flags Details

  None (edit)
Description Aziza Karol 2015-11-20 11:18:32 EST
Description of problem:


Version-Release number of selected component (if applicable):
5.5.0.11

How reproducible:
100%

Steps to Reproduce:
1.create a catalog item of type openstack
2.in request info->catalog tab click on any template name.
3.

Actual results:
undefined method `all_cloud_networks' for #<ManageIQ::Providers::Openstack::InfraManager:0x0000001268a148> [miq_request/prov_field_changed]  displayed in UI. see attached screenshot

Expected results:
No error

Additional info:
production.log
[----] I, [2015-11-20T09:27:00.132840 #2982:12a9990]  INFO -- : Processing by MiqRequestController#prov_field_changed as JS
[----] I, [2015-11-20T09:27:00.132926 #2982:12a9990]  INFO -- :   Parameters: {"service__src_vm_id"=>"480", "id"=>"new"}
[----] F, [2015-11-20T09:27:00.205257 #2982:12a9990] FATAL -- : Error caught: [NoMethodError] undefined method `flavors' for #<ManageIQ::Providers::Openstack::InfraManager:0x0000000f68da80>
/opt/rh/cfme-gemset/gems/activemodel-4.2.5/lib/active_model/attribute_methods.rb:433:in `method_missing'
/var/www/miq/vmdb/gems/pending/util/extensions/miq-object.rb:9:in `deep_send'
/var/www/miq/vmdb/app/models/manageiq/providers/cloud_manager/provision_workflow.rb:114:in `get_targets_for_ems'
/var/www/miq/vmdb/app/models/manageiq/providers/openstack/cloud_manager/provision_workflow.rb:4:in `allowed_instance_types'
/var/www/miq/vmdb/app/models/miq_request_workflow.rb:296:in `get_field'
/var/www/miq/vmdb/app/models/miq_request_workflow.rb:283:in `block in get_all_fields'
/var/www/miq/vmdb/app/models/miq_request_workflow.rb:283:in `each_key'
/var/www/miq/vmdb/app/models/miq_request_workflow.rb:283:in `get_all_fields'
/var/www/miq/vmdb/app/models/miq_request_workflow.rb:275:in `get_dialog'
/var/www/miq/vmdb/app/models/miq_request_workflow.rb:267:in `block in get_all_dialogs'
/var/www/miq/vmdb/app/models/miq_request_workflow.rb:267:in `each_key'
/var/www/miq/vmdb/app/models/miq_request_workflow.rb:267:in `get_all_dialogs'
/var/www/miq/vmdb/app/controllers/application_controller/miq_request_methods.rb:30:in `block in prov_field_changed'
/opt/rh/cfme-gemset/bundler/gems/jquery-rjs-33e0fc1c0b25/lib/action_view/helpers/jquery_helper.rb:154:in `instance_exec'
/opt/rh/cfme-gemset/bundler/gems/jquery-rjs-33e0fc1c0b25/lib/action_view/helpers/jquery_helper.rb:154:in `block in initialize'
/opt/rh/cfme-gemset/gems/actionview-4.2.5/lib/action_view/helpers/capture_helper.rb:202:in `with_output_buffer'
/opt/rh/cfme-gemset/bundler/gems/jquery-rjs-33e0fc1c0b25/lib/action_view/helpers/jquery_helper.rb:153:in `initialize'
/opt/rh/cfme-gemset/bundler/gems/jquery-rjs-33e0fc1c0b25/lib/jquery-rjs/renderers.rb:7:in `new'
/opt/rh/cfme-gemset/bundler/gems/jquery-rjs-33e0fc1c0b25/lib/jquery-rjs/renderers.rb:7:in `block in <module:Renderers>'
/opt/rh/cfme-gemset/gems/actionpack-4.2.5/lib/action_controller/metal/renderers.rb:45:in `block in _render_to_body_with_renderer'
/opt/rh/rh-ruby22/root/usr/share/ruby/set.rb:283:in `each_key'
/opt/rh/rh-ruby22/root/usr/share/ruby/set.rb:283:in `each'
/opt/rh/cfme-gemset/gems/actionpack-4.2.5/lib/action_controller/metal/renderers.rb:41:in `_render_to_body_with_renderer'
/opt/rh/cfme-gemset/gems/actionpack-4.2.5/lib/action_controller/metal/renderers.rb:37:in `render_to_body'
/opt/rh/cfme-gemset/gems/actionpack-4.2.5/lib/abstract_controller/rendering.rb:25:in `render'
/opt/rh/cfme-gemset/gems/actionpack-4.2.5/lib/action_controller/metal/rendering.rb:16:in `render'
/opt/rh/cfme-gemset/gems/actionpack-4.2.5/lib/action_controller/metal/instrumentation.rb:44:in `block (2 levels) in render'
/opt/rh/cfme-gemset/gems/activesupport-4.2.5/lib/active_support/core_ext/benchmark.rb:12:in `block in ms'
/opt/rh/rh-ruby22/root/usr/share/ruby/benchmark.rb:303:in `realtime'
/opt/rh/cfme-gemset/gems/activesupport-4.2.5/lib/active_support/core_ext/benchmark.rb:12:in `ms'
/opt/rh/cfme-gemset/gems/actionpack-4.2.5/lib/action_controller/metal/instrumentation.rb:44:in `block in render'
/opt/rh/cfme-gemset/gems/actionpack-4.2.5/lib/action_controller/metal/instrumentation.rb:87:in `cleanup_view_runtime'
/opt/rh/cfme-gemset/gems/activerecord-4.2.5/lib/active_record/railties/controller_runtime.rb:25:in `cleanup_view_runtime'
/opt/rh/cfme-gemset/gems/actionpack-4.2.5/lib/action_controller/metal/instrumentation.rb:43:in `render'
/var/www/miq/vmdb/app/controllers/application_controller/miq_request_methods.rb:28:in `prov_field_changed'
/opt/rh/cfme-gemset/gems/actionpack-4.2.5/lib/action_controller/metal/implicit_render.rb:4:in `send_action'
/opt/rh/cfme-gemset/gems/actionpack-4.2.5/lib/abstract_controller/base.rb:198:in `process_action'
/opt/rh/cfme-gemset/gems/actionpack-4.2.5/lib/action_controller/metal/rendering.rb:10:in `process_action'
/opt/rh/cfme-gemset/gems/actionpack-4.2.5/lib/abstract_controller/callbacks.rb:20:in `block in process_action'
/opt/rh/cfme-gemset/gems/activesupport-4.2.5/lib/active_support/callbacks.rb:117:in `call'
/opt/rh/cfme-gemset/gems/activesupport-4.2.5/lib/active_support/callbacks.rb:117:in `call'
/opt/rh/cfme-gemset/gems/activesupport-4.2.5/lib/active_support/callbacks.rb:555:in `block (2 levels) in compile'
/opt/rh/cfme-gemset/gems/activesupport-4.2.5/lib/active_support/callbacks.rb:505:in `call'
/opt/rh/cfme-gemset/gems/activesupport-4.2.5/lib/active_support/callbacks.rb:505:in `call'
/opt/rh/cfme-gemset/gems/activesupport-4.2.5/lib/active_support/callbacks.rb:92:in `__run_callbacks__'
/opt/rh/cfme-gemset/gems/activesupport-4.2.5/lib/active_support/callbacks.rb:778:in `_run_process_action_callbacks'
/opt/rh/cfme-gemset/gems/activesupport-4.2.5/lib/active_support/callbacks.rb:81:in `run_callbacks'
/opt/rh/cfme-gemset/gems/actionpack-4.2.5/lib/abstract_controller/callbacks.rb:19:in `process_action'
/opt/rh/cfme-gemset/gems/actionpack-4.2.5/lib/action_controller/metal/rescue.rb:29:in `process_action'
/opt/rh/cfme-gemset/gems/actionpack-4.2.5/lib/action_controller/metal/instrumentation.rb:32:in `block in process_action'
/opt/rh/cfme-gemset/gems/activesupport-4.2.5/lib/active_support/notifications.rb:164:in `block in instrument'
/opt/rh/cfme-gemset/gems/activesupport-4.2.5/lib/active_support/notifications/instrumenter.rb:20:in `instrument'
/opt/rh/cfme-gemset/gems/activesupport-4.2.5/lib/active_support/notifications.rb:164:in `instrument'
/opt/rh/cfme-gemset/gems/actionpack-4.2.5/lib/action_controller/metal/instrumentation.rb:30:in `process_action'
/opt/rh/cfme-gemset/gems/actionpack-4.2.5/lib/action_controller/metal/params_wrapper.rb:250:in `process_action'
/opt/rh/cfme-gemset/gems/activerecord-4.2.5/lib/active_record/railties/controller_runtime.rb:18:in `process_action'
/opt/rh/cfme-gemset/gems/actionpack-4.2.5/lib/abstract_controller/base.rb:137:in `process'
/opt/rh/cfme-gemset/gems/actionview-4.2.5/lib/action_view/rendering.rb:30:in `process'
/opt/rh/cfme-gemset/gems/actionpack-4.2.5/lib/action_controller/metal.rb:196:in `dispatch'
/opt/rh/cfme-gemset/gems/actionpack-4.2.5/lib/action_controller/metal/rack_delegation.rb:13:in `dispatch'
/opt/rh/cfme-gemset/gems/actionpack-4.2.5/lib/action_controller/metal.rb:237:in `block in action'
/opt/rh/cfme-gemset/gems/actionpack-4.2.5/lib/action_dispatch/routing/route_set.rb:76:in `call'
/opt/rh/cfme-gemset/gems/actionpack-4.2.5/lib/action_dispatch/routing/route_set.rb:76:in `dispatch'
/opt/rh/cfme-gemset/gems/actionpack-4.2.5/lib/action_dispatch/routing/route_set.rb:45:in `serve'
/opt/rh/cfme-gemset/gems/actionpack-4.2.5/lib/action_dispatch/journey/router.rb:43:in `block in serve'
/opt/rh/cfme-gemset/gems/actionpack-4.2.5/lib/action_dispatch/journey/router.rb:30:in `each'
/opt/rh/cfme-gemset/gems/actionpack-4.2.5/lib/action_dispatch/journey/router.rb:30:in `serve'
/opt/rh/cfme-gemset/gems/actionpack-4.2.5/lib/action_dispatch/routing/route_set.rb:817:in `call'
/opt/rh/cfme-gemset/gems/rack-1.6.4/lib/rack/etag.rb:24:in `call'
/opt/rh/cfme-gemset/gems/rack-1.6.4/lib/rack/conditionalget.rb:38:in `call'
/opt/rh/cfme-gemset/gems/rack-1.6.4/lib/rack/head.rb:13:in `call'
/opt/rh/cfme-gemset/gems/actionpack-4.2.5/lib/action_dispatch/middleware/params_parser.rb:27:in `call'
/opt/rh/cfme-gemset/gems/actionpack-4.2.5/lib/action_dispatch/middleware/flash.rb:260:in `call'
/opt/rh/cfme-gemset/gems/rack-1.6.4/lib/rack/session/abstract/id.rb:225:in `context'
/opt/rh/cfme-gemset/gems/rack-1.6.4/lib/rack/session/abstract/id.rb:220:in `call'
/opt/rh/cfme-gemset/gems/actionpack-4.2.5/lib/action_dispatch/middleware/cookies.rb:560:in `call'
/opt/rh/cfme-gemset/gems/activerecord-4.2.5/lib/active_record/query_cache.rb:36:in `call'
/opt/rh/cfme-gemset/gems/activerecord-4.2.5/lib/active_record/connection_adapters/abstract/connection_pool.rb:653:in `call'
/opt/rh/cfme-gemset/gems/actionpack-4.2.5/lib/action_dispatch/middleware/callbacks.rb:29:in `block in call'
/opt/rh/cfme-gemset/gems/activesupport-4.2.5/lib/active_support/callbacks.rb:88:in `__run_callbacks__'
/opt/rh/cfme-gemset/gems/activesupport-4.2.5/lib/active_support/callbacks.rb:778:in `_run_call_callbacks'
/opt/rh/cfme-gemset/gems/activesupport-4.2.5/lib/active_support/callbacks.rb:81:in `run_callbacks'
/opt/rh/cfme-gemset/gems/actionpack-4.2.5/lib/action_dispatch/middleware/callbacks.rb:27:in `call'
/opt/rh/cfme-gemset/gems/actionpack-4.2.5/lib/action_dispatch/middleware/remote_ip.rb:78:in `call'
/opt/rh/cfme-gemset/gems/actionpack-4.2.5/lib/action_dispatch/middleware/debug_exceptions.rb:17:in `call'
/opt/rh/cfme-gemset/gems/actionpack-4.2.5/lib/action_dispatch/middleware/show_exceptions.rb:30:in `call'
/opt/rh/cfme-gemset/gems/railties-4.2.5/lib/rails/rack/logger.rb:38:in `call_app'
/opt/rh/cfme-gemset/gems/railties-4.2.5/lib/rails/rack/logger.rb:22:in `call'
/opt/rh/cfme-gemset/gems/actionpack-4.2.5/lib/action_dispatch/middleware/request_id.rb:21:in `call'
/opt/rh/cfme-gemset/gems/rack-1.6.4/lib/rack/methodoverride.rb:22:in `call'
/opt/rh/cfme-gemset/gems/rack-1.6.4/lib/rack/runtime.rb:18:in `call'
/opt/rh/cfme-gemset/gems/activesupport-4.2.5/lib/active_support/cache/strategy/local_cache_middleware.rb:28:in `call'
/opt/rh/cfme-gemset/gems/rack-1.6.4/lib/rack/lock.rb:17:in `call'
/opt/rh/cfme-gemset/gems/actionpack-4.2.5/lib/action_dispatch/middleware/static.rb:116:in `call'
/opt/rh/cfme-gemset/gems/actionpack-4.2.5/lib/action_dispatch/middleware/static.rb:116:in `call'
/opt/rh/cfme-gemset/gems/rack-1.6.4/lib/rack/sendfile.rb:113:in `call'
/opt/rh/cfme-gemset/gems/railties-4.2.5/lib/rails/engine.rb:518:in `call'
/opt/rh/cfme-gemset/gems/railties-4.2.5/lib/rails/application.rb:165:in `call'
/opt/rh/cfme-gemset/gems/rack-1.6.4/lib/rack/content_length.rb:15:in `call'
/opt/rh/rh-ruby22/root/usr/share/gems/gems/thin-1.6.3/lib/thin/connection.rb:86:in `block in pre_process'
/opt/rh/rh-ruby22/root/usr/share/gems/gems/thin-1.6.3/lib/thin/connection.rb:84:in `catch'
/opt/rh/rh-ruby22/root/usr/share/gems/gems/thin-1.6.3/lib/thin/connection.rb:84:in `pre_process'
/opt/rh/rh-ruby22/root/usr/share/gems/gems/thin-1.6.3/lib/thin/connection.rb:53:in `process'
/opt/rh/rh-ruby22/root/usr/share/gems/gems/thin-1.6.3/lib/thin/connection.rb:39:in `receive_data'
/opt/rh/rh-ruby22/root/usr/share/gems/gems/eventmachine-1.0.7/lib/eventmachine.rb:187:in `run_machine'
/opt/rh/rh-ruby22/root/usr/share/gems/gems/eventmachine-1.0.7/lib/eventmachine.rb:187:in `run'
/opt/rh/rh-ruby22/root/usr/share/gems/gems/thin-1.6.3/lib/thin/backends/base.rb:73:in `start'
/opt/rh/rh-ruby22/root/usr/share/gems/gems/thin-1.6.3/lib/thin/server.rb:162:in `start'
/opt/rh/cfme-gemset/gems/rack-1.6.4/lib/rack/handler/thin.rb:19:in `run'
/opt/rh/cfme-gemset/gems/rack-1.6.4/lib/rack/server.rb:286:in `start'
/opt/rh/cfme-gemset/gems/railties-4.2.5/lib/rails/commands/server.rb:80:in `start'
/opt/rh/cfme-gemset/gems/railties-4.2.5/lib/rails/commands/commands_tasks.rb:80:in `block in server'
/opt/rh/cfme-gemset/gems/railties-4.2.5/lib/rails/commands/commands_tasks.rb:75:in `tap'
/opt/rh/cfme-gemset/gems/railties-4.2.5/lib/rails/commands/commands_tasks.rb:75:in `server'
/opt/rh/cfme-gemset/gems/railties-4.2.5/lib/rails/commands/commands_tasks.rb:39:in `run_command!'
/opt/rh/cfme-gemset/gems/railties-4.2.5/lib/rails/commands.rb:17:in `<top (required)>'
/var/www/miq/vmdb/bin/rails:4:in `require'
/var/www/miq/vmdb/bin/rails:4:in `<main>'
Comment 6 Greg McCullough 2015-11-25 15:54:16 EST
We found that Openstack Infrastructure templates were being displayed because the filtering is based on the "vendor" column in the vms table which is set to "openstack" for both Cloud and Infra templates.

We also found that the model type for the Openstack infra VMs were being set to cloud as well which is incorrect and causes the same issue by listing infra templates under Clouds -> Instances -> Lifecycle -> Provision Instances.

The following PRs are required to fully resolve this issue:
https://github.com/ManageIQ/manageiq/pull/5594
https://github.com/ManageIQ/manageiq/pull/5599
Comment 8 Aziza Karol 2015-12-02 07:11:52 EST
Openstack Infrastructure templates does not get displayed.

Verified:5.5.0.13.20151201120956_653c0d4
Comment 9 CFME Bot 2015-12-02 14:44:22 EST
New commit detected on ManageIQ/manageiq/master:
https://github.com/ManageIQ/manageiq/commit/84bc01ddfc45fc3b6c0f79e7e6d310911a132ae1

commit 84bc01ddfc45fc3b6c0f79e7e6d310911a132ae1
Author:     Greg McCullough <gmccullo@redhat.com>
AuthorDate: Wed Nov 25 10:00:47 2015 -0500
Commit:     Greg McCullough <gmccullo@redhat.com>
CommitDate: Wed Nov 25 15:15:37 2015 -0500

    Use model type to filter provision templates instead of vendor column
    
    For catalog items filtering will pass the IDs of the specified provider type.
    For Lifecycle - Provisioning for Cloud we now pass the supported provider model names.  (This remove Azure templates from showing in the list.)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1284049

 .../providers/amazon/cloud_manager/provision_workflow.rb |  4 ++--
 app/models/manageiq/providers/cloud_manager/template.rb  |  5 +++++
 .../microsoft/infra_manager/provision_workflow.rb        |  4 ++--
 .../openstack/cloud_manager/provision_workflow.rb        |  4 ++--
 .../providers/redhat/infra_manager/provision_workflow.rb |  4 ++--
 .../providers/vmware/infra_manager/provision_workflow.rb |  4 ++--
 app/models/miq_provision_virt_workflow.rb                | 16 +++++++---------
 spec/models/miq_provision_virt_workflow_spec.rb          | 13 +++++++++++++
 8 files changed, 35 insertions(+), 19 deletions(-)
Comment 10 CFME Bot 2015-12-02 15:30:53 EST
New commit detected on cfme/5.5.z:
https://code.engineering.redhat.com/gerrit/gitweb?p=cfme.git;a=commitdiff;h=d1c609b8aee18dfa55e51e0bb9a8ccd3e892e198

commit d1c609b8aee18dfa55e51e0bb9a8ccd3e892e198
Author:     Greg McCullough <gmccullo@redhat.com>
AuthorDate: Wed Nov 25 10:00:47 2015 -0500
Commit:     Greg McCullough <gmccullo@redhat.com>
CommitDate: Mon Nov 30 14:23:01 2015 -0500

    Use model type to filter provision templates instead of vendor column
    
    For catalog items filtering will pass the IDs of the specified provider type.
    For Lifecycle - Provisioning for Cloud we now pass the supported provider model names.  (This remove Azure templates from showing in the list.)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1284049

 .../providers/amazon/cloud_manager/provision_workflow.rb |  4 ++--
 app/models/manageiq/providers/cloud_manager/template.rb  |  5 +++++
 .../microsoft/infra_manager/provision_workflow.rb        |  4 ++--
 .../openstack/cloud_manager/provision_workflow.rb        |  4 ++--
 .../providers/redhat/infra_manager/provision_workflow.rb |  4 ++--
 .../providers/vmware/infra_manager/provision_workflow.rb |  4 ++--
 app/models/miq_provision_virt_workflow.rb                | 16 +++++++---------
 spec/models/miq_provision_virt_workflow_spec.rb          | 13 +++++++++++++
 8 files changed, 35 insertions(+), 19 deletions(-)
Comment 11 CFME Bot 2015-12-02 15:30:58 EST
New commit detected on cfme/5.5.z:
https://code.engineering.redhat.com/gerrit/gitweb?p=cfme.git;a=commitdiff;h=d6a2140f80b27ebf74c562d72e5be9f627bb41ad

commit d6a2140f80b27ebf74c562d72e5be9f627bb41ad
Author:     Ladislav Smola <lsmola@redhat.com>
AuthorDate: Wed Nov 25 10:06:47 2015 +0100
Commit:     Greg Blomquist <gblomqui@redhat.com>
CommitDate: Mon Nov 30 15:33:17 2015 -0500

    Set correct STI type on OpenStack infra miq_template
    
    Set correct STI type on OpenStack infra miq_template
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1284049

 .../openstack/cloud_manager/refresh_parser.rb        |  4 ++++
 .../manageiq/providers/openstack/infra_manager.rb    |  1 +
 .../openstack/infra_manager/refresh_parser.rb        |  4 ++++
 .../providers/openstack/infra_manager/template.rb    | 20 ++++++++++++++++++++
 .../openstack/refresh_parser_common/images.rb        |  2 +-
 .../infra_manager/refresher_rhos_juno_spec.rb        |  2 +-
 6 files changed, 31 insertions(+), 2 deletions(-)
 create mode 100644 app/models/manageiq/providers/openstack/infra_manager/template.rb
Comment 12 CFME Bot 2015-12-02 15:31:04 EST
New commit detected on cfme/5.5.z:
https://code.engineering.redhat.com/gerrit/gitweb?p=cfme.git;a=commitdiff;h=5e523396dab2731c0f8c9db9f2fcae9925aa7228

commit 5e523396dab2731c0f8c9db9f2fcae9925aa7228
Author:     Ladislav Smola <lsmola@redhat.com>
AuthorDate: Wed Nov 25 10:07:38 2015 +0100
Commit:     Greg Blomquist <gblomqui@redhat.com>
CommitDate: Mon Nov 30 15:33:49 2015 -0500

    Migration for setting correct STI type for infra miq_template
    
    Migration for setting correct STI type for OpenStack infra
    miq_template.
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1284049

 ...ect_sti_type_on_openstack_infra_miq_template.rb | 31 ++++++++++++++++++++++
 1 file changed, 31 insertions(+)
 create mode 100644 db/migrate/20151125081618_set_correct_sti_type_on_openstack_infra_miq_template.rb
Comment 13 CFME Bot 2015-12-02 15:31:10 EST
New commit detected on cfme/5.5.z:
https://code.engineering.redhat.com/gerrit/gitweb?p=cfme.git;a=commitdiff;h=68c93b2066959475d5c5f87246c2462d5f076f46

commit 68c93b2066959475d5c5f87246c2462d5f076f46
Author:     Ladislav Smola <lsmola@redhat.com>
AuthorDate: Wed Nov 25 17:58:12 2015 +0100
Commit:     Greg Blomquist <gblomqui@redhat.com>
CommitDate: Mon Nov 30 15:34:01 2015 -0500

    Tests for migration for setting correct STI type for infra miq_template
    
    Tests for migration for setting correct STI type for infra
    miq_template.
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1284049

 ...ti_type_on_openstack_infra_miq_template_spec.rb | 83 ++++++++++++++++++++++
 1 file changed, 83 insertions(+)
 create mode 100644 spec/migrations/20151125081618_set_correct_sti_type_on_openstack_infra_miq_template_spec.rb
Comment 14 CFME Bot 2015-12-02 15:31:16 EST
New commit detected on cfme/5.5.z:
https://code.engineering.redhat.com/gerrit/gitweb?p=cfme.git;a=commitdiff;h=4eba4d9f8cfbf2ee1ae181212df9ce4d5f60dd0c

commit 4eba4d9f8cfbf2ee1ae181212df9ce4d5f60dd0c
Author:     Ladislav Smola <lsmola@redhat.com>
AuthorDate: Wed Nov 25 18:03:11 2015 +0100
Commit:     Greg Blomquist <gblomqui@redhat.com>
CommitDate: Mon Nov 30 15:34:13 2015 -0500

    Expose infra manager template to automate
    
    Expose infra manager template to automate
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1284049

 ..._ae_service_manageiq-providers-openstack-cloud_manager-template.rb | 2 +-
 ..._ae_service_manageiq-providers-openstack-infra_manager-template.rb | 4 ++++
 2 files changed, 5 insertions(+), 1 deletion(-)
 create mode 100644 lib/miq_automation_engine/service_models/miq_ae_service_manageiq-providers-openstack-infra_manager-template.rb
Comment 15 CFME Bot 2015-12-02 15:31:22 EST
New commit detected on cfme/5.5.z:
https://code.engineering.redhat.com/gerrit/gitweb?p=cfme.git;a=commitdiff;h=10f5273b4932d1094cf1b0227b66424bc986a9b6

commit 10f5273b4932d1094cf1b0227b66424bc986a9b6
Author:     Ladislav Smola <lsmola@redhat.com>
AuthorDate: Mon Nov 30 10:37:32 2015 +0100
Commit:     Greg Blomquist <gblomqui@redhat.com>
CommitDate: Mon Nov 30 15:34:23 2015 -0500

    AREL migration for setting correct STI type for infra miq_template
    
    Migration for setting correct STI type for OpenStack infra
    miq_template rewritten to AREL
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1284049

 ...ect_sti_type_on_openstack_infra_miq_template.rb | 22 ++++++++--------------
 1 file changed, 8 insertions(+), 14 deletions(-)
Comment 16 CFME Bot 2015-12-02 15:31:28 EST
New commit detected on cfme/5.5.z:
https://code.engineering.redhat.com/gerrit/gitweb?p=cfme.git;a=commitdiff;h=312d4bc2d7f5e7984e3720c84261d8690c252479

commit 312d4bc2d7f5e7984e3720c84261d8690c252479
Merge: 5343844 d1c609b
Author:     Greg Blomquist <gblomqui@redhat.com>
AuthorDate: Mon Nov 30 16:45:27 2015 -0500
Commit:     Greg Blomquist <gblomqui@redhat.com>
CommitDate: Mon Nov 30 16:45:27 2015 -0500

    Merge branch 'allowed_templates_by_provider_5_5_z' into '5.5.z'
    
    Use model type to filter provision templates instead of vendor column
    
    For catalog items, filtering will pass the IDs of the specified provider type.
    For Lifecycle - Provisioning for Cloud we now pass the supported provider model names.  (This remove Azure templates from showing in the list.)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1284049
    
    Clean cherry-pick from https://github.com/ManageIQ/manageiq/pull/5599
    
    See merge request !559

 .../providers/amazon/cloud_manager/provision_workflow.rb |  4 ++--
 app/models/manageiq/providers/cloud_manager/template.rb  |  5 +++++
 .../microsoft/infra_manager/provision_workflow.rb        |  4 ++--
 .../openstack/cloud_manager/provision_workflow.rb        |  4 ++--
 .../providers/redhat/infra_manager/provision_workflow.rb |  4 ++--
 .../providers/vmware/infra_manager/provision_workflow.rb |  4 ++--
 app/models/miq_provision_virt_workflow.rb                | 16 +++++++---------
 spec/models/miq_provision_virt_workflow_spec.rb          | 13 +++++++++++++
 8 files changed, 35 insertions(+), 19 deletions(-)
Comment 18 errata-xmlrpc 2015-12-08 08:49:46 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2015:2551

Note You need to log in before you can comment on or make changes to this bug.